Ask Your Question
0

jdk >= 0:1.7.0 is needed by astah_community-6.9.0.b4c6e9-0.noarch

asked 2015-04-24 13:45:40 -0600

paladini gravatar image

I'm trying to install Astah Community in Fedora 21 but I'm having some troubles. I download an .rpm file from the official website and I ran the following to (try) install this package:

rpm -i astah-community-6.9.0.b4c6e9-0.noarch.rpm

But then I have the following message:

error: Failed dependencies:
    jdk >= 0:1.7.0 is needed by astah_community-6.9.0.b4c6e9-0.noarch

However I already have jdk installed on my Fedora! I'm a programmer and I've used Eclipse to program in Java a few days ago. Following is what I get when I run java -version:

openjdk version "1.8.0_45"
OpenJDK Runtime Environment (build 1.8.0_45-b13)
OpenJDK 64-Bit Server VM (build 25.45-b02, mixed mode)

What can I do to solve this problem ASAP and install Astah?

edit retag flag offensive close merge delete

Comments

1

I didn't have any issues installing and running the same version of Astah on my Fedora 21. Try maybe installing Oracle JDK/JRE 7 as described here

DChrome gravatar imageDChrome ( 2015-05-10 07:07:24 -0600 )edit

That version of Java is EOL and not supported by Fedora or Oracle, ref. https://www.java.com/en/download/faq/... . You should ask Astah to update their software.

randomuser gravatar imagerandomuser ( 2015-07-13 22:04:55 -0600 )edit

2 Answers

Sort by ยป oldest newest most voted
2

answered 2015-07-13 19:58:48 -0600

It's referring to Oracle's JDK, as DCrome said. So you can either install Oracle's JDK or you can use the --nodeps option to rpm to install it even though Oracle's JDK is not there. The latter should work because OpenJDK 1.8, which you already have installed, should run it. Since OpenJDK puts java in the PATH, it should be able to find it.

edit flag offensive delete link more

Comments

I had the same issue as described above. I did not have Oracle's JDK but OpenJDK installed and using the --nodeps flag worked for me when installing the rpm. Thank you!

agnosticdev gravatar imageagnosticdev ( 2015-09-01 20:30:42 -0600 )edit
0

answered 2015-07-14 01:12:13 -0600

Tiger gravatar image

try this

yum localinstall astah-community-6.9.0.b4c6e9-0.noarch.rpm

you can also try this

rpm -ivh --nodeps astah-community-6.9.0.b4c6e9-0.noarch.rpm

edit flag offensive delete link more

Question Tools

Stats

Asked: 2015-04-24 13:45:40 -0600

Seen: 1,996 times

Last updated: Jul 14 '15